/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2008 by Witz Corporation, JAPAN
 *  Copyright (C) 2010,2011 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEEρE
 *  ĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒쌠
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[X
 *      R[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎgp
 *      ł`ōĔzzꍇɂ́CĔzzɔhLgip҃}
 *      jAȂǁjɁCL̒쌠\C̗pщL̖
 *      ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎgp
 *      łȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNgɕ
 *        邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD܂C
 *      {\tgEFÃ[U܂̓Gh[ÛȂ闝RɊ
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړIɑ΂
 *  K܂߂āCȂۏ؂sȂD܂C{\tgEFA̗p
 *  ɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC
 *  ȂD
 * 
 */

/*
 *		vZbTˑW[iM32C/87pj
 *
 *  ̃CN[ht@ĆCtarget_config.hi܂́CCN
 *  [ht@Cĵ݂CN[hD̃t@C
 *  ڃCN[hĂ͂ȂȂD
 */


#ifndef TOPPERS_M32C87_CONFIG_H
#define TOPPERS_M32C87_CONFIG_H


/*
 *  ݔԍ̍ől
 */
#define INTNO_MAX	UINT_C(64)

/*
 *  ݐ䃌WX^e[u
 */

#define INTC_TABLE_DATA														\
	/* 0- */																\
	(volatile uint8_t *)NULL ,		/* BRK */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	(volatile uint8_t *)NULL ,		/* Reserved */												\
	/* 8- */																\
	(volatile uint8_t *)TADR_DMO0IC ,	/* DMA0	*/													\
	(volatile uint8_t *)TADR_DMO1IC ,	/* DMA1	*/													\
	(volatile uint8_t *)TADR_DMO2IC ,	/* DMA2	*/													\
	(volatile uint8_t *)TADR_DMO3IC ,	/* DMA3	*/													\
	(volatile uint8_t *)TADR_TA0IC ,	/* ^C}A0	*/												\
	(volatile uint8_t *)TADR_TA1IC ,	/* ^C}A1	*/												\
	(volatile uint8_t *)TADR_TA2IC ,	/* ^C}A2	*/												\
	(volatile uint8_t *)TADR_TA3IC ,	/* ^C}A3	*/												\
	/* 16- */															\
	(volatile uint8_t *)TADR_TA4IC ,	/* ^C}A4	*/												\
	(volatile uint8_t *)TADR_S0TIC ,	/* UART0M */												\
	(volatile uint8_t *)TADR_S0RIC ,	/* UART0M */												\
	(volatile uint8_t *)TADR_S1TIC ,	/* UART1M */												\
	(volatile uint8_t *)TADR_S1RIC ,	/* UART1M */												\
	(volatile uint8_t *)TADR_TB0IC ,	/* ^C}B0	*/												\
	(volatile uint8_t *)TADR_TB1IC ,	/* ^C}B1	*/												\
	(volatile uint8_t *)TADR_TB2IC ,	/* ^C}B2	*/												\
	/* 23- */															\
	(volatile uint8_t *)TADR_TB3IC ,	/* ^C}B3	*/												\
	(volatile uint8_t *)TADR_TB4IC ,	/* ^C}B4	*/												\
	(volatile uint8_t *)TADR_INT5IC ,	/* INT5	*/													\
	(volatile uint8_t *)TADR_INT4IC ,	/* INT4	*/													\
	(volatile uint8_t *)TADR_INT3IC ,	/* INT3	*/													\
	(volatile uint8_t *)TADR_INT2IC ,	/* INT2	*/													\
	(volatile uint8_t *)TADR_INT1IC ,	/* INT1	*/													\
	(volatile uint8_t *)TADR_INT0IC ,	/* INT0	*/													\
	/* 32- */																\
	(volatile uint8_t *)TADR_TB5IC ,	/* ^C}B5	*/												\
	(volatile uint8_t *)TADR_S2TIC ,	/* UART2M */												\
	(volatile uint8_t *)TADR_S2RIC ,	/* UART2M */												\
	(volatile uint8_t *)TADR_S3TIC ,	/* UART3M */												\
	(volatile uint8_t *)TADR_S3RIC ,	/* UART3M */												\
	(volatile uint8_t *)TADR_S4TIC ,	/* UART4M */												\
	(volatile uint8_t *)TADR_S4RIC ,	/* UART4M */												\
	(volatile uint8_t *)TADR_BCN2IC ,	/* oXՓˌo/X^[gRfBVo/					\
	                                 	   XgbvRfBVo(UART2)/QG[	*/	\
	/* 40- */																\
	(volatile uint8_t *)TADR_BCN3IC ,	/* oXՓˌo/X^[gRfBVo/					\
	                                 	   XgbvRfBVo(UART3/UART0)/QG[	*/	\
	(volatile uint8_t *)TADR_BCN4IC ,	/* oXՓˌo/X^[gRfBVo/					\
	                                 	   XgbvRfBVo(UART4/UART1)/QG[	*/	\
	(volatile uint8_t *)TADR_AD0IC ,	/* A/Dϊ0	*/												\
	(volatile uint8_t *)TADR_KUPIC ,	/* L[	*/												\
	(volatile uint8_t *)TADR_IIO0IC ,	/* CeWFgI/O0,CAN3 */								\
	(volatile uint8_t *)TADR_IIO1IC ,	/* CeWFgI/O1,CAN4 */								\
	(volatile uint8_t *)TADR_IIO2IC ,	/* CeWFgI/O2,CAN6 */								\
	(volatile uint8_t *)TADR_IIO3IC ,	/* CeWFgI/O3,CAN7 */								\
	/* 48- */																\
	(volatile uint8_t *)TADR_IIO4IC ,	/* CeWFgI/O4	*/									\
	(volatile uint8_t *)TADR_CAN5IC ,	/* CAN5	*/													\
	(volatile uint8_t *)NULL ,       	/* Reserved */													\
	(volatile uint8_t *)NULL ,       	/* Reserved */													\
	(volatile uint8_t *)TADR_IIO8IC ,	/* CeWFgI/O8	*/									\
	(volatile uint8_t *)TADR_IIO9IC ,	/* CeWFgI/O9,CAN0 */								\
	(volatile uint8_t *)TADR_IIO10IC ,	/* CeWFgI/O10,CAN1 */							\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	/* 56- */																\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)TADR_CAN2IC , 	/* CAN2	*/													\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)NULL ,        	/* Reserved */													\
	(volatile uint8_t *)NULL ,        	/* Reserved */

/*
 *  vZbT̓ꖽ߂̃CC֐`
 */
#include "m32c_insn.h"


#include "prc_config.h"

#endif	/* TOPPERS_M32C87_CONFIG_H */
