/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2008 by Witz Corporation, JAPAN
 *  Copyright (C) 2010,2011 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEEρE
 *  ĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒쌠
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[X
 *      R[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎgp
 *      ł`ōĔzzꍇɂ́CĔzzɔhLgip҃}
 *      jAȂǁjɁCL̒쌠\C̗pщL̖
 *      ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎgp
 *      łȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNgɕ
 *        邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD܂C
 *      {\tgEFÃ[U܂̓Gh[ÛȂ闝RɊ
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړIɑ΂
 *  K܂߂āCȂۏ؂sȂD܂C{\tgEFA̗p
 *  ɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC
 *  ȂD
 * 
 */

/*
 *  R8C/23Ɉˑ`
 */


#ifndef TOPPERS_R8C23_H
#define TOPPERS_R8C23_H

/*
 *  CPUOnhԍ̒`
 */
#define EXCNO_UNDEF_INSTRUNCTION	0	/* ` */
#define EXCNO_OVERFLOW          	1	/* I[o[t[ */
#define EXCNO_BRK_INSTRUCTION   	2	/* BRK */
#define EXCNO_ADDRESS_MATCH     	3	/* AhXv */
#define EXCNO_WDT               	5	/* EHb`hbO^C} */
#define EXCNO_XIN_STOP          	5	/* U~o */
#define EXCNO_LOW_VOLT_DETECT   	5	/* dቺo */
#define EXCNO_RESET             	8	/* Zbg */

/*
 *  ݔԍ̒`
 */
#define	INTNO_BRK   	0 	/* BRK */

#define INTNO_C01WK 	3 	/* CAN0EFCNAbv */
#define INTNO_C0REC 	4 	/* CAN0M */
#define INTNO_C0TRM 	5 	/* CAN0M */
#define INTNO_C01ERR	6 	/* CAN0G[ */

#define INTNO_TRD0  	8 	/* ^C}RD(`l0) */
#define INTNO_TRD1  	9 	/* ^C}RD(`l1) */
#define INTNO_TRE   	10	/* ^C}RE */

#define INTNO_KUP   	13	/* L[ */
#define INTNO_AD    	14	/* ADRo[^ */
#define INTNO_IIC   	15	/* `bvZNgtNbN^VAIO
                    	  	   /I2CoXC^tF[X */

#define INTNO_S0T   	17	/* UART0M,NACK */
#define INTNO_S0R   	18	/* UART0M,ACK */
#define INTNO_S1T   	19	/* UART1M,NACK */
#define INTNO_S1R   	20	/* UART1M,ACK */
#define INTNO_INT2  	21	/* INT2 */
#define INTNO_TRA   	22	/* ^C}RA */

#define INTNO_TRB   	24	/* ^C}RB */
#define INTNO_INT1  	25	/* INT1 */
#define INTNO_INT3  	26	/* INT3 */

#define INTNO_INT0  	29	/* INT0 */

/*
 *  ݃nhԍ̒`
 */
#define	INHNO_BRK   	INTNO_BRK   	/* BRK */

#define INHNO_C01WK 	INTNO_C01WK 	/* CAN0EFCNAbv */
#define INHNO_C0REC 	INTNO_C0REC 	/* CAN0M */
#define INHNO_C0TRM 	INTNO_C0TRM 	/* CAN0M */
#define INHNO_C01ERR	INTNO_C01ERR	/* CAN0G[ */

#define INHNO_TRD0  	INTNO_TRD0  	/* ^C}RD(`l0) */
#define INHNO_TRD1  	INTNO_TRD1  	/* ^C}RD(`l1) */
#define INHNO_TRE   	INTNO_TRE   	/* ^C}RE */

#define INHNO_KUP   	INTNO_KUP   	/* L[ */
#define INHNO_AD    	INTNO_AD    	/* ADRo[^ */
#define INHNO_IIC   	INTNO_IIC   	/* `bvZNgtNbN^VAIO
                    	            	   /I2CoXC^tF[X */

#define INHNO_S0T   	INTNO_S0T   	/* UART0M,NACK */
#define INHNO_S0R   	INTNO_S0R   	/* UART0M,ACK */
#define INHNO_S1T   	INTNO_S1T   	/* UART1M,NACK */
#define INHNO_S1R   	INTNO_S1R   	/* UART1M,ACK */
#define INHNO_INT2  	INTNO_INT2  	/* INT2 */
#define INHNO_TRA   	INTNO_TRA   	/* ^C}RA */

#define INHNO_TRB   	INTNO_TRB   	/* ^C}RB */
#define INHNO_INT1  	INTNO_INT1  	/* INT1 */
#define INHNO_INT3  	INTNO_INT3  	/* INT3 */

#define INHNO_INT0  	INTNO_INT0  	/* INT0 */


/*
 *  ݐ䃌WX^`
 */
#define TADR_C01WKIC 	0x0043
#define TADR_C0RECIC 	0x0044
#define TADR_C0TRMIC 	0x0045
#define TADR_C01ERRIC	0x0046
#define TADR_TRD0IC  	0x0048
#define TADR_TRD1IC  	0x0049
#define TADR_TREIC   	0x004A
#define TADR_KUPIC   	0x004D
#define TADR_ADIC    	0x004E
#define TADR_IICIC   	0x004F
#define TADR_S0TIC   	0x0051
#define TADR_S0RIC   	0x0052
#define TADR_S1TIC   	0x0053
#define TADR_S1RIC   	0x0054
#define TADR_INT2IC  	0x0055
#define TADR_TRAIC   	0x0056
#define TADR_TRBIC   	0x0058
#define TADR_INT1IC  	0x0059
#define TADR_INT3IC  	0x005A
#define TADR_INT0IC  	0x005D


/*
 *  TRA֘AWX^(VXeeBbNp)
 */
#define TADR_TRACR  	0x0100	/* ^C}RA 䃌WX^ */
#define TADR_TRAIOC 	0x0101	/* ^C}RA I/OWX^ */
#define TADR_TRAMR  	0x0102	/* ^C}RA [hWX^ */
#define TADR_TRAPRE 	0x0103	/* ^C}RA vXP[WX^ */
#define TADR_TRA    	0x0104	/* ^C}RA WX^ */

#define TBIT_TRACR_TSTART	0x01	/* ^C}RA JEgJnrbg */

/*
 *  ėp|[gWX^
 */
#define TBIT_BIT0	0x01
#define TBIT_BIT1	0x02
#define TBIT_BIT2	0x04
#define TBIT_BIT3	0x08
#define TBIT_BIT4	0x10
#define TBIT_BIT5	0x20
#define TBIT_BIT6	0x40
#define TBIT_BIT7	0x80

#define TBIT_PMR_U1PINSEL	TBIT_BIT4


#define TADR_P0   	0x0e0	/* |[gP0WX^ */
#define TADR_P1   	0x0e1	/* |[gP1WX^ */
#define TADR_PD0  	0x0e2	/* |[gP0WX^ */
#define TADR_PD1  	0x0e3	/* |[gP1WX^ */
#define TADR_P2   	0x0e4	/* |[gP2WX^ */
#define TADR_P3   	0x0e5	/* |[gP3WX^ */
#define	TADR_PD2  	0x0e6	/* |[gP2WX^ */
#define	TADR_PD3  	0x0e7	/* |[gP3WX^ */
#define TADR_P4   	0x0e8	/* |[gP4WX^ */

#define	TADR_PD4  	0x0ea	/* |[gP4WX^ */
#define TADR_P6   	0x0ec	/* |[gP6WX^ */
#define	TADR_PD6  	0x0ee	/* |[gP6WX^ */

#define	TADR_PMR  	0x0f8	/* |[g[hWX^ */
#define	TADR_INTEN	0x0f9	/* O͋WX^ */
#define	TADR_INTF 	0x0fa	/* INT̓tB^IWX^ */
#define	TADR_KIEN 	0x0fb	/* L[͋WX^ */

#define	TADR_PUR0 	0x0fc	/* vAbv䃌WX^O */
#define	TADR_PUR1 	0x0fd	/* vAbv䃌WX^P */


#endif	/* TOPPERS_R8C23_H */
