/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2010-2012 by Meika Sugimoto
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEEρE
 *  ĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒쌠
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[X
 *      R[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎgp
 *      ł`ōĔzzꍇɂ́CĔzzɔhLgip҃}
 *      jAȂǁjɁCL̒쌠\C̗pщL̖
 *      ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎgp
 *      łȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNgɕ
 *        邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD܂C
 *      {\tgEFÃ[U܂̓Gh[ÛȂ闝RɊ
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړIɑ΂
 *  K܂߂āCȂۏ؂sȂD܂C{\tgEFA̗p
 *  ɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC
 *  ȂD
 * 
 */

#ifndef TOPPERS_SAMPLE1_H
#define TOPPERS_SAMPLE1_H

/*
 *  ^[Qbgˑ̒`
 */
#include "target_test.h"

#if TMAX_TPRI == 16

#define INIT_PRIORITY			(1)
#define ERRORTSK_PRIORITY		(6)
#define MAIN_PRIORITY			(7)
#define TASK1_PRIORITY			(8)
#define TASK2_PRIORITY			(9)
#define TASK3_PRIORITY			(10)
#define TASK3_EXEPRIORITY		(9)

#else

/* TMAX_TPRI == 8 */
#define INIT_PRIORITY			(1)
#define ERRORTSK_PRIORITY		(2)
#define MAIN_PRIORITY			(3)
#define TASK1_PRIORITY			(4)
#define TASK2_PRIORITY			(5)
#define TASK3_PRIORITY			(6)
#define TASK3_EXEPRIORITY		(5)

#endif /* TMAX_TPRI == 16 */

#ifndef LOOP_REF
#define LOOP_REF		ULONG_C(1000000)	/* xvp̃[v */
#endif /* LOOP_REF */


#ifndef TOPPERS_MACRO_ONLY

extern void init_task(intptr_t exinf);
extern void main_task(intptr_t exinf);
extern void task(intptr_t exinf);

extern void main_task_cychdr(intptr_t exinf);
extern void cyclic_handler(intptr_t exinf);
extern void alarm_handler(intptr_t exinf);
extern void interrupt_service_routine(intptr_t exinf);


#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_SAMPLE1_H */

